GZEXE(1)

NAZWA
gzexe - kompresuj pliki wykonywalne

SKŁADNIA
gzexe [ nazwa ... ]

OPIS
Narzędzie gzexe umożliwia kompresowanie plików wykonywalnych, a następnie ich automatyczną dekompresję po uruchomieniu archiwum (oczywiście z utratą prędkości wywołania). Na przykład, jeśli wywołasz ``gzexe /bin/cat'', to utworzone zostaną następujące pliki:
    -r-xr-xr-x  1 root  bin   9644 Feb 11 11:16 /bin/cat
    -r-xr-xr-x  1 bin   bin  24576 Nov 23 13:21 /bin/cat~
/bin/cat~ jest plikiem oryginalnym, a /bin/cat jest samorozpakowującym się plikiem wykonywalnym. Jeśli jesteś pewien, że wersja skompresowana działa właściwie, możesz usunąć /bin/cat~.

Narzędzie to jest najbardziej przydatne na systemach z małymi dyskami.

OPCJE

-d  dekompresuje podane pliki wykonywalne.

ZOBACZ TAKŻE
gzip(1), znew(1), zmore(1), zcmp(1), zforce(1)

NIEDOSKONAŁOŚCI
Plik skompresowany jest skryptem powłoki. Może to powodować pewne dziury bezpieczeństwa. Praktycznie, skompresowany plik wykonywalny zależy od ustawienia zmiennej PATH, w której może znaleźć gzip i niektóre inne narzęzia (tail, chmod, ln, sleep).

BŁĘDY
gzexe próbuje odtworzyć na archiwum atrybuty originalnych plików, lecz czasem będziesz musiał je poprawić ręcznie, przy użyciu chmod lub chown.